Deploy LayerZero adaptersAsk AIpost https://api.fireblocks.io/v1/tokenization/multichain/bridge/layerzeroDeploy LayerZero adapters for multichain token bridging functionality. This endpoint creates adapter contracts that enable cross-chain token transfers.Body ParamsvaultAccountIdstringrequiredThe id of the vault account that initiated the request to deploy adapter for the tokencreateParamsarray of objectsrequiredlength ≥ 1Array of creation parameters for LayerZero adapters, one per tokenLink.createParams* objecttokenLinkIdstringrequiredThe token link id of the base token to deploy the adapters fordelegateAddressstringrequiredAddress that will receive CONTRACT_ADMIN_ROLE.defaultAdminAddressstringrequiredAddress that will receive DEFAULT_ADMIN_ROLE on the adapter contract.pauserAddressstringrequiredAddress that will receive PAUSER_ROLE.ADD objectdisplayNamestringThe display name of the contractuseGaslessbooleanWhether to use gasless deployment or notfalsetruefalsefeeLevelstringenumFee level for the write function transaction. interchangeable with the 'fee' fieldMEDIUMLOWMEDIUMHIGHAllowed:LOWMEDIUMHIGHfeestringMax fee amount for the write function transaction. interchangeable with the 'feeLevel' fieldsaltstringThe salt to calculate the deterministic address. Must be a number between 0 and 2^256 -1, for it to fit in the bytes32 parameterHeadersIdempotency-KeystringA unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.Responses 200LayerZero adapters deployed successfully 400Bad request, invalid input data or parameters 404Token link not found 409Token link preparation error 422Token link is not fungible 500Internal server errorUpdated 5 months ago